@import url('https://fonts.googleapis.com/css?family=Oswald|Poiret+One|Roboto&display=swap');

:root {
    font-family: 'Oswald', sans-serif;
    --main-color: #30332e;
    --main-transparent-color: rgba(48, 51, 46, 0.85);
    --text-color: #E2E2E2;
    --event-color: #bd632f;
    --top-shadow: inset 0px 12px 15px -10px #111;
    --bottom-shadow: inset 0px -12px 15px -10px #111;
    --item-shadow: 0 0 15px #111;
    --main-transition: .35s;
    scroll-behavior: smooth;
}

.portfolio {
    padding: 2rem;
    background-image: url('../images/sonusfaber-ilcremonese.jpg');
    background-position: right;
    background-size: cover;
    background-repeat: no-repeat;
    box-shadow: var(--top-shadow),
                var(--bottom-shadow);

}

.portfolio .portfolio-items {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 1.5rem;
}

.portfolio h2,
.portfolio-descr-inner h2 {
    text-align: center;
    font-family: 'Poiret One', cursive;
    font-size: 1.7rem;
}

.portfolio h2:after,
.portfolio-descr-inner h2:after {
    content: "";
    display: block;
    max-width: 4rem;
    height: 2px;
    background-color: var(--text-color);
    margin: 5px auto 0;
    border-radius: 2px;
}

.portfolio-descr-inner h2:after {
    background-color: var(--main-color);
}

.portfolio .portfolio-items {
    margin: 2rem 0;
}

.portfolio .portfolio-items .portfolio-item {
    position: relative;
    background-color: var(--event-color);
    transition: all .25s;
    border-radius: 3px;
    cursor: pointer;
    overflow: hidden;
    box-shadow: var(--item-shadow);
}

.portfolio .portfolio-items .portfolio-item span {
    position: absolute;
    top:50%;
    transform: translate(0, -50%);
    width: 100%;
    margin: 0;
    text-align: center;
    text-decoration: none;
    font-family: 'Poiret One', cursive;
    font-weight: 600;
    font-size: 2rem;
    color: var(--text-color);
    opacity: 0;
    z-index: 1;
    transition: all var(--main-transition);
}

.portfolio .portfolio-items .portfolio-item img {
    display: block;
    width:100%;
    opacity: 1;
    transition: all var(--main-transition);
}

.portfolio .portfolio-items .portfolio-item:hover {
    transform: scale(1.01);
}

.portfolio .portfolio-items .portfolio-item:hover span{
    opacity: 1;
}

.portfolio .portfolio-items .portfolio-item:hover img {
    opacity: 0.2;
}

@media (min-width: 900px) {
    .portfolio .portfolio-items {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .portfolio .portfolio-items .big-firstrow {
        grid-area: 1 / 1 / 3 / 3;
    }

    .portfolio .portfolio-items .big-secondrow {
        grid-area: 3 / 2 / 5 / 4;
    }

    .portfolio .portfolio-items .big-thirdrow {
        grid-area: 5 / 1 / 7 / 3;
    }
}

.portfolio-item-descr {
    display: block;
    width: 100%;
    height: 0;
    position: fixed;
    overflow: hidden;
    top:0;
    right:0;
    background-color: var(--main-transparent-color);
    transition: all var(--main-transition);
}

.portfolio-item-descr-active {
    height: 100%;
    transition: all var(--main-transition);
    overflow: scroll;
    overflow-x: hidden;
}

.portfolio-descr-inner {
    max-width: 980px;
    margin: 2rem auto;
    background: var(--text-color);
    color: var(--main-color);
    border-radius: 5px;
    padding: 20px;
}

.portfolio-item-descr .portfolio-descr-inner .gallery {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 80%;
    margin: 1rem auto;
}

.portfolio-item-descr .portfolio-descr-inner .gallery img {
    cursor: pointer;
    display: block;
    width: auto;
    max-height: 10rem;
    margin: .5rem;
    box-shadow: var(--item-shadow);
    transition: all var(--main-transition);
}

.portfolio-item-descr .portfolio-descr-inner p {
    font-size: 1.05rem;
}

.portfolio-item-descr .portfolio-descr-inner .gallery img:hover {
    transform: scale(1.1);
}

.full-screen,
.modal-contacts {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 50px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: scroll;
  animation-name: zoom;
  animation-duration: 0.6s;
  background-color: rgba(0,0,0,0.9);
}

@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}

.full-screen img {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 1170px;
}

@media (min-width: 620px) {
    .full-screen img {
        max-height: 90%;
        width: auto;
    }

    .modal-contacts .contacts {
        max-width: 980px;
        margin: auto;
    }
}

.button-btn {
    display: block;
    cursor: pointer;
    text-align: center;
    text-transform: uppercase;
    font-family: 'Oswald', sans-serif;
    font-size: 1rem;
    border: none;
    width: 10rem;
    margin: 1rem auto;
    padding: 1rem;
    background-color: var(--event-color);
    color: var(--text-color);
    border-radius: 3px;
    box-shadow: var(--item-shadow);
    transition: background-color var(--main-transition);
}

.button-btn:hover {
    background-color: var(--text-color);
    color: var(--main-color);
}